/*
 * Copyright 2001-2009 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.uddi.api_v3.client.transport;

import org.uddi.v3_service.UDDICustodyTransferPortType;
import org.uddi.v3_service.UDDIInquiryPortType;
import org.uddi.v3_service.UDDIPublicationPortType;
import org.uddi.v3_service.UDDISecurityPortType;
import org.uddi.v3_service.UDDISubscriptionListenerPortType;
import org.uddi.v3_service.UDDISubscriptionPortType;;

public interface Transport {
	public final static String API_V3_NAMESPACE              = "urn:uddi-org:api_v3_portType";
	public final static String SUB_V3_NAMESPACE              = "urn:uddi-org:sub_v3_portType";
	public final static String SUBR_V3_NAMESPACE	         = "urn:uddi-org:subr_v3_portType";
	public final static String CUSTODY_V3_NAMESPACE          = "urn:uddi-org:custody_v3_portType";
	
	public final static String INQUIRY_SERVICE               = "InquiryService";
	public final static String SECURITY_SERVICE              = "SecurityService";
	public final static String PUBLISH_SERVICE               = "PublishService";
	public final static String SUBSCRIPTION_SERVICE          = "SubscriptionService";
	public final static String SUBSCRIPTION_LISTENER_SERVICE = "SubscriptionListenerService";
	public final static String CUSTODY_TRANSFER_SERVICE      = "CustodyTransferService";
	
	UDDIInquiryPortType getInquiryService()           throws TransportException;
	UDDISecurityPortType getSecurityService()         throws TransportException;
	UDDIPublicationPortType getPublishService()       throws TransportException;
	UDDISubscriptionPortType getSubscriptionService() throws TransportException;
	UDDICustodyTransferPortType getCustodyTransferService() throws TransportException;
	UDDISubscriptionListenerPortType getSubscriptionListenerService() throws TransportException;
}
